wannabe 发表于 2022-7-6 15:28:42

 
You normally give good advice. But learning LISP now is analogous to wearing a mullet in the late 90's.

uddfl 发表于 2022-7-6 15:32:22

O RLY? Actually that's the sort of comments you would hear about LISP back then.

wannabe 发表于 2022-7-6 15:34:35

I don't see it coming back into fashion, though, unlike the mullet.

Lee Mac 发表于 2022-7-6 15:38:33

LISP will keep going for some time I reckon, and so whats the harm in learning it..
 
*Thats what I keep telling myself anyway...*

SEANT 发表于 2022-7-6 15:42:38

 
Ah, I based the measured position on the startpoint of the curve as well.
 
It sounds like the routine I posted above will not handle allthe requirements.Just as well – I rushed to post that before leaving the desk this morning and it likely contains all manner of disappointments.I really should know better.
 
If I get some time this weekend I’ll see what I can do to refine it a bit.

SEANT 发表于 2022-7-6 15:42:59

As I eventually came to expect, my earlier posting has it’s problems.One of which is the inability to process LightWeight Polylines.Not insurmountable, necessarily, but requiring a geometry restructure.
 
When you say:
 
 
What type of geometry are you dealing with – 3dPolys, Splines?   I don’t imagine either LightWeight or 2D polys would be useful with the natural undulations of a countryside.

wannabe 发表于 2022-7-6 15:48:57

 
2D/3D polylines mainly when we're using models created in other sof****re (MX for roads etc). At the moment I have to copy the 3D versions and then convert them to 2D to successfully use the measure and divide etc after I've trimmed them down etc.
 
I've got the tools to do the job, and I'm working on alternatives in .NET myself.Although I wan't to be better at the general application of C# before I really get stuck in with CAD - which is my rationale for learning the language.

alanjt 发表于 2022-7-6 15:52:23

this might work, after switching to c3d, i had to rewrite the retired land desktop command "continuous copy". i finally got around to doing it friday.
you are more than welcome to it if it's what you need.
 

;;; ------------------------------------------------------------------------;;;    ContinuousCopy.lsp;;;;;;    Copyright© 03.06.09;;;    Alan J. Thompson (alanjt);;;;;;    Permission to use, copy, modify, and distribute this software;;;    for any purpose and without fee is hereby granted, provided;;;    that the above copyright notice appears in all copies and;;;    that both that copyright notice and the limited warranty and;;;    restricted rights notice below appear in all supporting;;;    documentation.;;;;;;    Modeled after the Land Desktop 'retired' "Continuous Copy" command;;;    (some coding borrowed from original Land Desktop routine).;;;    User is able to continuously copy selected object(s) along a;;;    defined angle & distance. Distance may be changed at any time.;;;;;; ------------------------------------------------------------------------(defun c:CC () (c:ContinuousCopy))(defun c:ContinuousCopy      (/ *error* #OldCmdecho #CopyGroup #Angle #Dist #Temp #Ent);;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; SUBROUTINES ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;error handler (defun *error* (msg)   (if    #OldCmdecho   (setvar "cmdecho" #OldCmdecho)   ) ) ;_ defun;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; MAIN ROUTINE ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;; (setq #OldCmdecho (getvar "cmdecho")) (setvar "cmdecho" 0) (prompt "\nContinuous Copy") (if   (and   (setq #CopyGroup (ssget ":L"))   (setq #Angle (getangle "\nAngle for copy: "))   (setq #Dist (getdist "\nDistance to copy: "))   (setq #Temp (strcat         "@"         (rtos #Dist 2 6)         "

wannabe 发表于 2022-7-6 15:54:25

I will indeed give it a shot at work tomorrow. Thankyou in advance.

CAB 发表于 2022-7-6 15:57:09

You may get some ideas from this thread:
http://cadtutor.net/forum/showpost.php?p=62903&postcount=22
页: 1 [2]
查看完整版本: Measure-like Command